.navegador {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    background-color: var(--azul);
    height: clamp(3rem, 8vw, 4rem);
}

.navegador .menu-nav {
    flex: 1;
    display: flex;
    gap: 1.2rem;
    justify-content: flex-end;

}

.navegador .menu-nav .sub-menu {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-end;
    align-items: center;
    gap: 1.2rem;
    width: 100%;
}


.navegador .menu-nav .sub-menu a {
    position: relative;
    transition: color 0.3s ease;
}


.navegador .menu-nav .sub-menu a:not(.btn-primario)::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;

    width: 0%;
    height: 2px;
    background-color: var(--blanco-50);
    transition: width 0.4s ease;
}

.navegador .menu-nav .sub-menu a:not(.btn-primario):hover::after {
    width: 100%;
}


.cont-btns{
    width: auto;
    max-width: 100%;
    display: flex;
    flex-direction: row;
    gap: 16px;
    align-items: center;
    margin-left: 1.2rem;
}

/* ===================================
           MEDIA NAVEGADOR
====================================*/

@media (max-width:900px) {

    .navegador .icon {
        display: block;
        opacity: 1 ;
        pointer-events: all;

        cursor: pointer;
        color: var(--blanco-100);
    }


    .navegador .cont-menu-responsive {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 1rem;
    }

    .navegador .menu-nav {
        width: 100%;
        max-width: 400px;
        height: 100vh;
        flex-direction: column;
        justify-content: space-between;

        position: fixed;
        top: 0;
        left: 0;

        padding: 1rem clamp(.5rem, 6vw, 1rem) clamp(.5rem, 6vw, 1rem);
        border-top-right-radius: 5px;
        border-bottom-right-radius: 5px;
        background-color: var(--azul);

        transform: translateX(-100%);
        transition: transform 0.3s ease-in-out;
        z-index: 99999;
    }

    .navegador .menu-nav .cont-btns {
        display: flex;
        flex-direction: row;
        gap: .6rem;
    }

    .navegador .menu-nav .cont-btns .btn {
        display: flex;
        opacity: 1;
    }

    .navegador .menu-nav .sub-menu {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: start;
        position: relative;
    }

    .cerrar-menu {
        align-self: end;
        width: 25px;
        aspect-ratio: 1 / 1;
    }

    .menu-nav.activo {
        transform: translateX(0);
    }
}

@media (max-width:300px) {

    .navegador .cont-btns .btn {
        color: var(--blanco-100);
        background-color: transparent;
        padding: 0;
    }

}